<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\ServiceOrder\ServiceOrder\Services;


use Schaffen\ServiceOrder\ServiceOrder\Repositories\ServiceOrderRepository;
use Schaffen\ServiceOrder\ServiceOrder\Repositories\ServiceOrderResourceRepository;

class RemoveServiceOrderResources
{
   /**
    * @var ServiceOrderResourceRepository
    */
   private ServiceOrderResourceRepository $service_order_resource_repository;

   public function __construct(ServiceOrderResourceRepository $service_order_resource_repository)
   {
      $this->service_order_resource_repository = $service_order_resource_repository;
   }

   public function removeResources($resources_to_delete)
   {
      foreach ($resources_to_delete as $resource) {
         $this->service_order_resource_repository->destroy($resource->osr_codigo);
      }
   }
}
